Bug 473295 - PackageKit-cron is broken and doesn't work
PackageKit-cron is broken and doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 10:16 EST by JM
Modified: 2009-07-14 13:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JM 2008-11-27 10:16:28 EST
The RPM PackageKit-cron-0.2.5-1.fc9 is broken and doesn't work, when you enable "/etc/cron.daily/packagekit-background.cron" in "/etc/sysconfig/packagekit-background" than "/etc/cron.daily/packagekit-background.cron" tries to run the command "pkcon update-system" but the output is:

--------------------
Option 'update-system' not supported

Command failed
--------------------

This are the commands which "pkcon" understands:

--------------------------------
Usage:
  pkcon [OPTION...] PackageKit Console Program

PackageKit Console Interface

Subcommands:
  get-actions
  get-groups
  get-filters
  get-transactions
  get-time
  search [name|details|group|file] [data]
  install [packages|files]
  remove [package]
  update <package>
  refresh
  resolve [package]
  get-updates
  get-depends [package]
  get-requires [package]
  get-details [package]
  get-files [package]
  get-update-detail [package]
  get-packages
  repo-list
  repo-enable [repo_id]
  repo-disable [repo_id]
  repo-set-data [repo_id] [parameter] [value];
  what-provides [search]


Help Options:
  -?, --help        Show help options

Application Options:
  -v, --verbose     Show extra debugging information
  --version         Show the program version and exit
  --filter          Set the filter, e.g. installed
  -n, --nowait      Exit without waiting for actions to complete
--------------------------------

It looks like "pkcon" doesn't understand the command "update-system".

Btw. to me it looks like "PackageKit-cron" - if it works - could be a replacement for the RPM "yum-cron", is this correct?
Comment 1 Richard Hughes 2008-11-27 13:40:03 EST
Can you try the PackageKit in updates-testing please.
Comment 2 JM 2008-11-29 14:52:42 EST
I did and now I get the message:

---------------
Attempting to obtain authorization for org.freedesktop.packagekit.system-update.
polkit-grant-helper: it only makes sense to run polkit-grant-helper as non-root
Failed to obtain authorization for org.freedesktop.packagekit.system-update.
You don't have the necessary privileges for this operation
---------------

So it looks like that the command

pkcon update

from 

/etc/cron.daily/packagekit-background.cron

runs but there are some permission problems but actually the cron job runs as root... 

Btw. would it possible to use the "pkcon" command to update only security relevant RPMs? The way the "yum-security" plugin does it?
Comment 3 TK009 2009-03-03 20:19:05 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2009-06-09 23:22:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:15:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.